3 Replies Latest reply on Jun 12, 2013 3:56 AM by Marek Novotny

    Seam 2.2 Drools version

    gadeyne.bram Master

      Hi,

       

      I'm wondering what versions of drools are supported to work with seam 2.2.2 The packaged version seems to be 5.0.1 but I'm wondering if replacing the librarys with version 5.4 or 5.5 would also work.

       

      With kind regards

      Bram

        • 1. Re: Seam 2.2 Drools version
          Marek Novotny Master

          I doubt that it works out of the box as just replacing the jars from 5.4 or later release. Seam 2.2 works definitely with 5.1 and Seam 2.3 is able to work with Drools 5.3.3, but that is the highest version which we tried and Seam QE tested.

           

          you can try it, but I know that at least a small migration steps are required because of changed rules parser and a few APIs changes.

          • 2. Re: Seam 2.2 Drools version
            gadeyne.bram Master

            Hi,

             

            Currently it works!

             

            I wanted to use Drools Fusion 5.5 so what I did was replace the drools jars in the Seam 2.2.2.FInal distribution and adding the new ones to the deployed-jars-ear.list file.

             

            I did not use the seam components.xml file to enable drools. What I did was create an APPLICATION scoped component that annotated with @Startup that calls 2 asynchronous methods in it's @Create method.

             

            The first Asynchrounous method created the StatefulKnowledgeSession and Outjected it in the APPLICATION scope. It then also loaded some data (from a database) and fired the rules.

             

            For demo purposes the second Asynchronous method added some drools event facts to the StatefulKnowledgeSession and also fired the rules.

             

            Currently all seems to work.

            • 3. Re: Seam 2.2 Drools version
              Marek Novotny Master

              Thanks for letting us know. Anyway Drools Fusion is not in Seam-Drools integration code, so as you described that works, because it doesn't use any Drools APi in Seam.

               

              But nice achievement, congrats!